Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageGradientMagnitude Class Reference

`#include <vtkImageGradientMagnitude.h>`

Inheritance diagram for vtkImageGradientMagnitude:

[legend]
Collaboration diagram for vtkImageGradientMagnitude:

[legend]
List of all members.

## Detailed Description

Computes magnitude of the gradient.

Date:
  2003/01/09 19:21:05

Revision:
  1.35

vtkImageGradientMagnitude computes the gradient magnitude of an image. Setting the dimensionality determines whether the gradient is computed on 2D images, or 3D volumes. The default is two dimensional XY images.

See also:
  vtkImageGradient vtkImageMagnitude

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (61%)
  - Martin, Ken (28%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageGradientMagnitude.h)`
  - .`cxx` (`/Imaging/vtkImageGradientMagnitude.cxx)`

Examples:
  vtkImageGradientMagnitude (Examples)

Tests:
  vtkImageGradientMagnitude (Tests)

Definition at line 54 of file vtkImageGradientMagnitude.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetHandleBoundaries (int)
virtual int | GetHandleBoundaries ()
virtual void | HandleBoundariesOn ()
virtual void | HandleBoundariesOff ()
virtual void | SetDimensionality (int)
virtual int | GetDimensionality ()
## Static Public Methods
vtkImageGradientMagnitude * | New ()
int | IsTypeOf (const char *type)
vtkImageGradientMagnitude * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageGradientMagnitude ()
| ~vtkImageGradientMagnitude ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
int | HandleBoundaries
int | Dimensionality

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageGradientMagnitude::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 58 of file vtkImageGradientMagnitude.h.

## Constructor & Destructor Documentation

vtkImageGradientMagnitude::vtkImageGradientMagnitude | ( |  | ) | `[protected]`

vtkImageGradientMagnitude::~vtkImageGradientMagnitude | ( |  | ) | `[inline, protected]`

| Definition at line 77 of file vtkImageGradientMagnitude.h.

## Member Function Documentation

vtkImageGradientMagnitude* vtkImageGradientMagnitude::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageGradientMagnitude::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageGradientMagnitude::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageGradientMagnitude::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageGradientMagnitude* vtkImageGradientMagnitude::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageGradientMagnitude::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageGradientMagnitude::SetHandleBoundaries | ( | int |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual int vtkImageGradientMagnitude::GetHandleBoundaries | ( |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual void vtkImageGradientMagnitude::HandleBoundariesOn | ( |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual void vtkImageGradientMagnitude::HandleBoundariesOff | ( |  | ) | `[virtual]`

| If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.

virtual void vtkImageGradientMagnitude::SetDimensionality | ( | int |  | ) | `[virtual]`

| Determines how the input is interpreted (set of 2d slices ...)

virtual int vtkImageGradientMagnitude::GetDimensionality | ( |  | ) | `[virtual]`

| Determines how the input is interpreted (set of 2d slices ...)

void vtkImageGradientMagnitude::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageGradientMagnitude::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageGradientMagnitude::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 84 of file vtkImageGradientMagnitude.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageGradientMagnitude::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageGradientMagnitude::HandleBoundaries`[protected]`

| Definition at line 79 of file vtkImageGradientMagnitude.h.

int vtkImageGradientMagnitude::Dimensionality`[protected]`

| Definition at line 80 of file vtkImageGradientMagnitude.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageGradientMagnitude.h